Name:           rpmorphan
Version:        1.12
Release:        %mkrel 2
Summary:        List packages that have no dependencies (like deborphan)
Group:          System/Packaging
License:        GPLv2+
URL:            http://rpmorphan.sourceforge.net/
Source:         http://downloads.sourceforge.net/sourceforge/rpmorphan/rpmorphan-%{version}.tar.gz
Requires:       perl
Requires:       rpm
Requires:       logrotate
#Recommanded:   perl-Tk
#Recommanded:   perl-Curses-UI
# to speed up rpm query, use RPM2.pm perl package
#Recommanded:   perl-RPM2
BuildArch:      noarch

%description
rpmorphan finds orphaned packages on your system. It determines
which packages have no other packages depending on their installation,
and shows you a list of these packages.It intends to be clone of 
deborphan Debian tools for RPM packages.

Several tools are also provided :
* rpmusage - display rpm packages last use date
* rpmdep - display the full dependency of an installed rpm package
* rpmduplicates - find packages with several version installed
* rpmextra - find installed packages not in distribution


%prep
%setup -q

%build
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install


%files
%defattr(-,root,root,-)
%doc rpmorphan.lsm Authors COPYING Changelog NEWS Todo Readme Readme.fr rpmorphanrc.sample
%attr(755, root, root) %{_bindir}/rpmorphan.pl
%attr(755, root, root) %{_bindir}/rpmorphan
%attr(755, root, root) %{_bindir}/grpmorphan
%attr(755, root, root) %{_bindir}/rpmusage.pl
%attr(755, root, root) %{_bindir}/rpmusage
%attr(755, root, root) %{_bindir}/rpmdep.pl
%attr(755, root, root) %{_bindir}/rpmdep
%attr(755, root, root) %{_bindir}/rpmduplicates.pl
%attr(755, root, root) %{_bindir}/rpmduplicates
%attr(755, root, root) %{_bindir}/rpmextra.pl
%attr(755, root, root) %{_bindir}/rpmextra
%ghost /var/log/rpmorphan.log
%dir %{_localstatedir}/lib/rpmorphan
%config(noreplace) %attr(644, root, root) %{_localstatedir}/lib/rpmorphan/keep
%dir /usr/lib/rpmorphan
%attr(644, root, root) /usr/lib/rpmorphan/rpmorphan-lib.pl
%attr(644, root, root) /usr/lib/rpmorphan/rpmorphan-curses-lib.pl
%attr(644, root, root) /usr/lib/rpmorphan/rpmorphan-tk-lib.pl
%dir /usr/lib/rpmorphan/locale
%dir /usr/lib/rpmorphan/locale/en
%attr(644, root, root) /usr/lib/rpmorphan/locale/en/rpmorphan_trans.pl
%dir /usr/lib/rpmorphan/locale/fr_FR
%attr(644, root, root) /usr/lib/rpmorphan/locale/fr_FR/rpmorphan_trans.pl
%config(noreplace) %{_sysconfdir}/logrotate.d/rpmorphan
%config(noreplace) %{_sysconfdir}/rpmorphanrc
%doc %{_mandir}/man1/rpmorphan.1*
%doc %{_mandir}/man1/rpmusage.1*
%doc %{_mandir}/man1/rpmdep.1*
%doc %{_mandir}/man1/rpmduplicates.1*
%doc %{_mandir}/man1/rpmextra.1*







%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.12-2.mga4
+ Revision: 533190
- Mageia 4 Mass Rebuild

* Mon Aug 26 2013 shlomif <shlomif> 1.12-1.mga4
+ Revision: 471970
- New version of rpmorphan with some fixes.
  Thanks to James Abtahi (jamescategory).

* Tue Jan 22 2013 fwang <fwang> 1.7-3.mga3
+ Revision: 390815
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 1.7-2.mga3
+ Revision: 380480
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 kharec <kharec> 1.7-1.mga2
+ Revision: 106527
- imported package rpmorphan

